<?php
/*
 * Add buttons to visual editor
 */
add_action( 'init', 'magic_ad_genie_tmcebuttons' );
function magic_ad_genie_tmcebuttons($post) {
	
	// Don't bother if current user doesn't have permissions
	if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
     return;
	
	// Add only in rich editor mode
	if( get_user_option( 'rich_editing' ) == 'true' ) {
		global $typenow;
            if (empty($typenow) && !empty($_GET['post'])) {
                $post = get_post($_GET['post']);
                $typenow = $post->post_type;
			} elseif (empty($typenow) && !empty($_GET['post_type'])) {
                $typenow = $_GET['post_type'];
			}
	}
	// Add button for shortcode
	if( 'magicadgenie' != $typenow ) {
		add_filter('mce_external_plugins', 'magic_ad_genie_buttons_mce_plugin');
		add_filter( 'mce_buttons', 'magic_ad_genie_add_tmce_buttons' );
	}
	
	// Add button for graphics in custom post type only
	if( 'magicadgenie' == $typenow ) {
		add_filter('mce_external_plugins', 'magic_ad_genie_graphics_mce_plugin');
		add_filter( 'mce_buttons', 'magic_ad_genie_add_graphics_tmce_buttons' );
	}
}

// Bring in button for posts (insert shortcode)
function magic_ad_genie_add_tmce_buttons( $buttons ) {
    array_push( $buttons, '|', 'magicadgeniebuttons' );
    return $buttons;
}
function magic_ad_genie_buttons_mce_plugin( $plugins ) {
	// this plugin file will work the magic of our button
	$plugins['magicadgeniebuttons'] = MAGIC_AD_GENIE_DIR . '/modules/js/magic-ad-genie-shortcode-dialog.js';
	return $plugins;
}
// Bring in button for custom post type only
function magic_ad_genie_add_graphics_tmce_buttons( $buttons ) {
    array_push( $buttons, '|', 'magicadgeniegraphics' );
    return $buttons;
}
function magic_ad_genie_graphics_mce_plugin( $plugins ) {
	// this plugin file will work the magic of our button
	$plugins['magicadgeniegraphics'] = MAGIC_AD_GENIE_DIR . '/modules/js/graphics-dialog.js';
	return $plugins;
}
 
// Custom CSS styles on WYSIWYG Editor
add_filter( 'mce_css', 'magic_ad_genie_mce_css' );
function magic_ad_genie_mce_css( $mce_css ) {
	if ( ! empty( $mce_css ) )
		$mce_css .= ',';

	$mce_css .= MAGIC_AD_GENIE_DIR.'modules/css/front.css';
	// Apply current theme stylesheet
	//$mcssce_css .= ','.get_stylesheet_uri();

	return $mce_css;
}

/*
 * add more buttons to the html editor
 * http://www.codedevelopr.com/articles/wordpress-custom-editor-quicktag-buttons/
 */
function magic_ad_genie_add_quicktags() {
?>
    <script type="text/javascript">
	QTags.addButton( 'magic_ad_genie', 'Magic Ad Genie', magic_ad_genie_prompt_user );
	function magic_ad_genie_prompt_user(e, c, ed) {
        prmt = prompt('Enter Ad ID');
        if ( prmt === null ) return;
        rtrn = '[magic_ad_genie id=' + prmt + ']';
        this.tagStart = rtrn;
        QTags.TagButton.prototype.callback.call(this, e, c, ed);
    }
    </script>
<?php
}
add_action( 'admin_print_footer_scripts', 'magic_ad_genie_add_quicktags' );
?>