<?php
// this file contains the contents of the popup window
$wpdir = dirname(dirname(dirname(dirname(dirname(dirname(__FILE__))))));
include($wpdir.'/wp-load.php');
		
// Get default options
$config = get_option('magic_ad_genie_options');
// Get custom post type
$all_posts = get_posts('post_type=magicadgenie&orderby=name&order=ASC');

// Filter and sort out options
$access_key = sanitize_text_field( $config['access_key'] );
$secret = sanitize_text_field( $config['secret'] );
$bucket = ( empty($bucket) ) ? sanitize_text_field( $config['def_bucket'] ) : '';
$expiry = ( empty( $expiry ) ) ? sanitize_text_field( $config['expiry'] ) : '';
$exp_msg = esc_textarea( $config['exp_msg'] );
$button = ( empty( $button ) ) ? sanitize_text_field( $config['def_button'] ) : '';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php echo MAGIC_AD_GENIE_PLUGIN_NAME; ?> Heading Graphics</title>
<link type="text/css" rel="stylesheet" media="all" href="<?php echo MAGIC_AD_GENIE_DIR; ?>modules/css/tinymce_button_dialog.css">
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo MAGIC_AD_GENIE_WP_DIR; ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo MAGIC_AD_GENIE_DIR; ?>modules/js/admin.js"></script>
<?php
function magic_ad_genie_load_scripts() {
	wp_enqueue_style( 'wp-color-picker' );
	wp_enqueue_script( 'spp_elp_color_picker', MAGIC_AD_GENIE_DIR.'modules/js/admin.js', array( 'wp-color-picker', 'jquery' ), false, true );
}
add_action('wp_enqueue_scripts', 'magic_ad_genie_load_scripts');
	?>
<script type="text/javascript">
 
var ButtonDialog = {
	local_ed : 'ed',
	init : function(ed) {
		ButtonDialog.local_ed = ed;
		tinyMCEPopup.resizeToInnerSize();
	},
	insert : function insertButton(ed) {
		 
		// set up variables to contain our input values
		var graphic = jQuery('#tbp-ica-headings-dialog input[type="radio"]:checked.heading').val();
		 
		var output = '';
		
		// setup the output of our shortcode
			output += '<img src="' + graphic + '">';
			
		tinyMCEPopup.editor.execCommand('mceInsertContent', false, output);
		 
		// Return
		tinyMCEPopup.close();
	}
};
tinyMCEPopup.onInit.add(ButtonDialog.init, ButtonDialog);
 
</script>

</head>
<body>
	<div id="tbp-ica-headings-dialog">
		<form action="/" method="get" accept-charset="utf-8">
			<table>
				<tr>
					<td class="col-a">
						<input type="radio" id="also-like-a" class="heading" name="heading-graphic" value="<?php echo MAGIC_AD_GENIE_DIR.'modules/images/you-might-also-like-a.png' ?>" />
					</td>
					<td class="col-b">
						<label for="also-like-a"><img src="<?php echo MAGIC_AD_GENIE_DIR; ?>modules/images/you-might-also-like-a.png" width="99%" alt="You might also like this" /></label>
					</td>
					<td class="col-a">
						<input type="radio" id="also-like-b" class="heading" name="heading-graphic" value="<?php echo MAGIC_AD_GENIE_DIR.'modules/images/you-might-also-like-b.png' ?>" />
					</td>
					<td class="col-b">
						<label for="also-like-b"><img src="<?php echo MAGIC_AD_GENIE_DIR; ?>modules/images/you-might-also-like-b.png" width="99%" alt="You might also like this" /></label>
					</td>
				</tr>
				<tr>
					<td class="col-a">
						<input type="radio" id="limited-a" class="heading" name="heading-graphic" value="<?php echo MAGIC_AD_GENIE_DIR.'modules/images/limited-time-a.png' ?>" />
					</td>
					<td class="col-b">
						<label for="limited-a"><img src="<?php echo MAGIC_AD_GENIE_DIR; ?>modules/images/limited-time-a.png" width="99%" alt="Limited time offer" /></label>
					</td>
					<td class="col-a">
						<input type="radio" id="limited-b" class="heading" name="heading-graphic" value="<?php echo MAGIC_AD_GENIE_DIR.'modules/images/limited-time-b.png' ?>" />
					</td>
					<td class="col-b">
						<label for="limited-b"><img src="<?php echo MAGIC_AD_GENIE_DIR; ?>modules/images/limited-time-b.png" width="99%" alt="Limited time offer" /></label>
					</td>
				</tr>
				<tr>
					<td class="col-a">
						<input type="radio" id="recommended-a" class="heading" name="heading-graphic" value="<?php echo MAGIC_AD_GENIE_DIR.'modules/images/recommended-a.png' ?>" />
					</td>
					<td class="col-b">
						<label for="recommended-a"><img src="<?php echo MAGIC_AD_GENIE_DIR; ?>modules/images/recommended-a.png" width="99%" alt="Recommended for you" /></label>
					</td>
					<td class="col-a">
						<input type="radio" id="recommended-b" class="heading" name="heading-graphic" value="<?php echo MAGIC_AD_GENIE_DIR.'modules/images/recommended-b.png' ?>" />
					</td>
					<td class="col-b">
						<label for="recommended-b"><img src="<?php echo MAGIC_AD_GENIE_DIR; ?>modules/images/recommended-b.png" width="99%" alt="Recommended for you" /></label>
					</td>
				</tr>
			</table>
				<div id="submitbtn">
					<a href="javascript:ButtonDialog.insert(ButtonDialog.local_ed)" id="insert" style="display: block; line-height: 24px; text-decoration: none;">Insert</a>
				</div>
		</form>
	</div>
</body>
</html>