<?php
// this file contains the contents of the popup window
$wpdir = dirname(dirname(dirname(dirname(dirname(dirname(__FILE__))))));
include($wpdir.'/wp-load.php');
		
// Get default options
$config = get_option('magic_ad_genie_options');
// Get custom post type
$all_posts = get_posts('post_type=magicadgenie&orderby=name&order=ASC');

// Filter and sort out options
$access_key = sanitize_text_field( $config['access_key'] );
$secret = sanitize_text_field( $config['secret'] );
$bucket = ( empty($bucket) ) ? sanitize_text_field( $config['def_bucket'] ) : '';
$expiry = ( empty( $expiry ) ) ? sanitize_text_field( $config['expiry'] ) : '';
$exp_msg = esc_textarea( $config['exp_msg'] );
$button = ( empty( $button ) ) ? sanitize_text_field( $config['def_button'] ) : '';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php echo MAGIC_AD_GENIE_PLUGIN_NAME; ?></title>
<link type="text/css" rel="stylesheet" media="all" href="<?php echo MAGIC_AD_GENIE_DIR; ?>modules/css/tinymce_button_dialog.css">
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo MAGIC_AD_GENIE_WP_DIR; ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo MAGIC_AD_GENIE_DIR; ?>modules/js/admin.js"></script>
<?php
function magic_ad_genie_load_scripts() {
	wp_enqueue_style( 'wp-color-picker' );
	wp_enqueue_script( 'spp_elp_color_picker', MAGIC_AD_GENIE_DIR.'modules/js/admin.js', array( 'wp-color-picker', 'jquery' ), false, true );
}
add_action('wp_enqueue_scripts', 'magic_ad_genie_load_scripts');
	?>
<script type="text/javascript">
 
var ButtonDialog = {
	local_ed : 'ed',
	init : function(ed) {
		ButtonDialog.local_ed = ed;
		tinyMCEPopup.resizeToInnerSize();
	},
	insert : function insertButton(ed) {
		 
		// set up variables to contain our input values
		var ad_id = jQuery('#tbp-ica-dialog .ad_id').val();
		 
		var output = '';
		
		// setup the output of our shortcode
			output += '[magic_ad_genie';
			output += ' id="'+ ad_id +'"]';
			
		tinyMCEPopup.editor.execCommand('mceInsertContent', false, output);
		 
		// Return
		tinyMCEPopup.close();
	}
};
tinyMCEPopup.onInit.add(ButtonDialog.init, ButtonDialog);
 
</script>

</head>
<body>
	<div id="tbp-ica-dialog">
		<form action="/" method="get" accept-charset="utf-8">
			<table>
				<tr>
					<th>
						<label for="id">Insert this ad</label>
					</th>
					<td colspan="4">
						<select name="default_ad" class="ad_id">
							<option value="">Choose one</option>
						<?php 
						foreach( $all_posts as $single_post ){
							echo '<option value="'.$single_post->ID.'"  '.( $single_post->ID == get_post_meta( $post->ID, 'magicadgenie', true ) ? ' selected ' : ' ' ).' >'.$single_post->post_title;
						}	
						?>
						</select>
					</td>
				</tr>
			</table>
				<div id="submitbtn">
					<a href="javascript:ButtonDialog.insert(ButtonDialog.local_ed)" id="insert" style="display: block; line-height: 24px; text-decoration: none;">Insert</a>
				</div>
		</form>
	</div>
</body>
</html>