<?php 


add_action( 'add_meta_boxes', 'bp_add_custom_box' );
function bp_add_custom_box() {
	
		add_meta_box( 
			'bp_myplugin_sectionid',
			__( 'Do Not Use Popover on this Post ?', 'myplugin_textdomain' ),
			'bp_inner_custom_box',
			'post', 'side' , 'high'
		);
		add_meta_box( 
			'bp_myplugin_sectionid',
			__( 'Do Not Use Popover In this Page ?', 'myplugin_textdomain' ),
			'bp_inner_custom_box',
			'page' , 'side' , 'high'
		);
		add_meta_box( 
			'bp_url_sectionid',
			__( 'URL', 'myplugin_textdomain' ),
			'bp_url_custom_box',
			'single_popover' , 'side' , 'high'
		);

}

function bp_url_custom_box( $post ) {
		
			
		wp_nonce_field( plugin_basename( __FILE__ ), 'myplugin_noncename' );	
		echo '
	
		<label>URL</label>
		<input type="text" name="target_url" value="'.get_post_meta( $post->ID, 'target_url', true ).'"  />
		';
					

}


function bp_inner_custom_box( $post ) {
		
			
		wp_nonce_field( plugin_basename( __FILE__ ), 'myplugin_noncename' );	
		echo '
		<label>Check, to do not use popover in this post</label>
		<input type="checkbox" name="hide_popover" value="on" '.( get_post_meta( $post->ID, 'hide_popover', true ) == 'on' ? '  checked ' : ' ' ).' />

		';
		$all_posts = get_posts('post_type=single_popover&showposts=-1&orderby=name&order=ASC');
	  echo '
	  <select name="popover2use" >
		<option value="0">Select Popover To Use
	  ';
		foreach( $all_posts as $single_post ){
			echo '<option value="'.$single_post->ID.'"  '.( $single_post->ID == get_post_meta( $post->ID, 'popover2use', true ) ? ' selected ' : ' ' ).' >'.$single_post->post_title;
		}	  
	  echo '
	  </select>				
		';	
}

add_action( 'save_post', 'bp_save_postdata' );
function bp_save_postdata( $post_id ) {
  if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) 
      return;
  if ( !wp_verify_nonce( $_POST['myplugin_noncename'], plugin_basename( __FILE__ ) ) )
      return;
  if ( 'page' == $_POST['post_type'] ) 
  {
    if ( !current_user_can( 'edit_page', $post_id ) )
        return;
  }
  else
  {
    if ( !current_user_can( 'edit_post', $post_id ) )
        return;
  }

  if( get_post_type( $post_id ) == 'post' || get_post_type( $post_id ) == 'page' ){
  
	update_post_meta( $post_id, 'hide_popover', $_POST['hide_popover'] );
	update_post_meta( $post_id, 'popover2use', $_POST['popover2use'] );
  }
   if( get_post_type( $post_id ) == 'single_popover'  ){
	update_post_meta( $post_id, 'target_url', $_POST['target_url'] );
  }
  
  
}

?>